Api Management Service - Refresh Hostnames
强制刷新绑定在 Api 管理服务中通过 KeyVault 秘密配置的自定义主机名上的 SSL 证书。
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/refreshHostnames?api-version=2025-03-01-preview
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
service
|
path | True |
string minLength: 1maxLength: 50 pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$ |
API 管理服务的名称。 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
api-version
|
query | True |
string minLength: 1 |
要用于此操作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure作已成功完成。 |
|
| 202 Accepted |
已接受资源作。 标头
|
|
| Other Status Codes |
意外错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
ApiManagementServiceRefreshKeyVaultHostnames
示例请求
示例响应
{
"name": "apimService1",
"type": "Microsoft.ApiManagement/service",
"etag": "AAAAAAK5GpM=",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1",
"identity": {
"type": "SystemAssigned",
"principalId": "b413456e-a9c8-4242-9754-0a01c061bd41",
"tenantId": "b413456e-a9c8-4242-9754-0a01c061bd41"
},
"location": "West Europe",
"properties": {
"additionalLocations": [
{
"disableGateway": false,
"gatewayRegionalUrl": "https://apimService1-northeurope-01.regional.azure-api.net",
"location": "North Europe",
"outboundPublicIPAddresses": [
"4.xxx.40.176"
],
"platformVersion": "stv2",
"publicIPAddresses": [
"4.xxx.40.176"
],
"sku": {
"name": "Premium",
"capacity": 1
},
"virtualNetworkConfiguration": {
"subnetResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/apimVnet/subnets/default2"
}
}
],
"createdAtUtc": "2016-04-12T00:20:15.6018952Z",
"customProperties": {
"Microsoft.WindowsAzure.ApiManagement.Gateway.Protocols.Server.Http2": "False",
"Microsoft.WindowsAzure.ApiManagement.Gateway.Security.Backend.Protocols.Ssl30": "False",
"Microsoft.WindowsAzure.ApiManagement.Gateway.Security.Backend.Protocols.Tls10": "True",
"Microsoft.WindowsAzure.ApiManagement.Gateway.Security.Backend.Protocols.Tls11": "True",
"Microsoft.WindowsAzure.ApiManagement.Gateway.Security.Ciphers.TripleDes168": "True",
"Microsoft.WindowsAzure.ApiManagement.Gateway.Security.Protocols.Ssl30": "False",
"Microsoft.WindowsAzure.ApiManagement.Gateway.Security.Protocols.Tls10": "True",
"Microsoft.WindowsAzure.ApiManagement.Gateway.Security.Protocols.Tls11": "True"
},
"developerPortalStatus": "Enabled",
"developerPortalUrl": "https://apimService1.developer.azure-api.net",
"disableGateway": false,
"gatewayRegionalUrl": "https://apimService1-westeurope-01.regional.azure-api.net",
"gatewayUrl": "https://apimService1.azure-api.net",
"hostnameConfigurations": [
{
"type": "Proxy",
"certificateSource": "BuiltIn",
"defaultSslBinding": false,
"hostName": "apimService1.azure-api.net",
"negotiateClientCertificate": false
},
{
"type": "Proxy",
"certificate": {
"expiry": "2025-12-18T11:11:47+00:00",
"subject": "CN=*.msitesting.net",
"thumbprint": "9833D531D7A45XXXXXXXXXXXX8BD392E0BD3F"
},
"certificateSource": "KeyVault",
"defaultSslBinding": true,
"hostName": "proxy.msitesting.net",
"keyVaultId": "https://apim-msi-keyvault.vault.azure.net/secrets/sslcertificate",
"negotiateClientCertificate": false
}
],
"legacyPortalStatus": "Disabled",
"managementApiUrl": "https://apimService1.management.azure-api.net",
"natGatewayState": "Disabled",
"notificationSenderEmail": "apimgmt-noreply@mail.windowsazure.com",
"outboundPublicIPAddresses": [
"57.xxx.61.xx"
],
"platformVersion": "stv2.1",
"provisioningState": "Succeeded",
"publicIPAddresses": [
"XX.153.XX.94"
],
"publicNetworkAccess": "Enabled",
"publisherEmail": "autorest@contoso.com",
"publisherName": "Microsoft",
"releaseChannel": "Default",
"scmUrl": "https://apimService1.scm.azure-api.net",
"virtualNetworkConfiguration": {
"subnetResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/rg1/subnets/default"
},
"virtualNetworkType": "External"
},
"sku": {
"name": "Premium",
"capacity": 1
},
"systemData": {
"lastModifiedAt": "2024-06-14T17:33:34.8195595Z",
"lastModifiedBy": "autorest@contoso.com",
"lastModifiedByType": "User"
},
"tags": {}
}
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/operationresults/dGVjaGVkX01hbmFnZVJvbGVfNWRiNGI3Ng==?api-version=2025-03-01-preview
定义
| 名称 | 说明 |
|---|---|
|
Additional |
其他 API 管理资源位置的说明。 |
|
Api |
Api 管理服务资源的标识属性。 |
|
Api |
“列出”或“获取响应”中的单个 API 管理服务资源。 |
|
Api |
API 管理服务资源 SKU 属性。 |
|
Apim |
用于资源的标识类型。 类型“SystemAssigned,UserAssigned”包括隐式创建的标识和一组用户分配的标识。 类型“None”将从服务中删除任何标识。 |
|
Api |
API 管理服务的控制平面 API 版本约束。 |
|
Arm |
ARM 资源 ID 的包装器 |
|
Certificate |
证书配置,由不受信任的中间证书和根证书组成。 |
|
Certificate |
System.Security.Cryptography.x509certificates.StoreName 证书存储位置。 只有 Root 和 CertificateAuthority 是有效位置。 |
|
Certificate |
SSL 证书信息。 |
|
Certificate |
证书源。 |
|
Certificate |
证书状态。 |
|
Configuration |
有关 API 管理服务的配置 API 的信息。 |
|
created |
创建资源的标识的类型。 |
|
Developer |
此 API 管理服务中开发人员门户的状态。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Hostname |
自定义主机名配置。 |
|
Hostname |
主机名类型。 |
|
Legacy |
指示是否应在 API 管理服务上公开旧版配置 API (v1)。 值是可选的,但必须是“已启用”或“已禁用”。 如果“已禁用”,则旧版配置 API (v1) 将不适用于自承载网关。 默认值为“Enabled” |
|
Legacy |
API 管理服务中旧门户的状态。 |
|
Nat |
属性可用于为此 API 管理服务启用 NAT 网关。 |
|
Platform |
运行服务的计算平台版本。 |
|
Private |
专用终结点连接状态。 |
|
Private |
有关服务使用者与提供程序之间的连接状态的信息集合。 |
|
Public |
是否允许此 API 管理服务进行公共终结点访问。 值是可选的,但如果传入,则必须为“Enabled”或“Disabled”。 如果为“Disabled”,则专用终结点是独占访问方法。 默认值为“Enabled” |
|
Release |
此 API 管理服务的发布通道。 |
|
Remote |
远程专用终结点连接资源。 |
|
Sku |
Sku 的名称。 |
|
system |
与创建和上次修改资源相关的元数据。 |
|
User |
|
|
Virtual |
配置部署 API 管理服务的虚拟网络。 |
|
Virtual |
需要在其中配置 API 管理网关的 VPN 类型。 |
AdditionalLocation
其他 API 管理资源位置的说明。
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| disableGateway |
boolean |
False |
属性仅适用于部署在多个位置的 Api 管理服务。 这可用于在此附加位置中禁用网关。 |
| gatewayRegionalUrl |
string |
区域中 API 管理服务的网关 URL。 |
|
| location |
string |
Azure 数据中心区域中其他区域的位置名称。 |
|
| natGatewayState | Disabled |
属性可用于为此 API 管理服务启用 NAT 网关。 |
|
| outboundPublicIPAddresses |
string[] |
与 NAT 网关部署的服务关联的出站公共 IPV4 地址前缀。 仅适用于 stv2 平台上的高级 SKU。 |
|
| platformVersion |
运行服务的计算平台版本。 |
||
| privateIPAddresses |
string[] |
部署在特定附加位置的内部虚拟网络中的 API 管理服务的专用静态负载均衡 IP 地址。 仅适用于基本、标准、高级和独立 SKU。 |
|
| publicIPAddresses |
string[] |
其他位置中 API 管理服务的公共静态负载均衡 IP 地址。 仅适用于基本、标准、高级和独立 SKU。 |
|
| publicIpAddressId |
string |
公共标准 SKU IP V4 的 IP 地址,要与位置中的虚拟网络部署服务相关联。 仅支持在虚拟网络中部署的高级 SKU。 |
|
| sku |
API 管理服务的 SKU 属性。 |
||
| virtualNetworkConfiguration |
位置的虚拟网络配置。 |
||
| zones |
string[] |
一个可用性区域列表,表示资源需要来自何处。 |
ApiManagementServiceIdentity
Api 管理服务资源的标识属性。
| 名称 | 类型 | 说明 |
|---|---|---|
| principalId |
string (uuid) |
标识的主体 ID。 |
| tenantId |
string (uuid) |
标识的客户端租户 ID。 |
| type |
用于资源的标识类型。 类型“SystemAssigned,UserAssigned”包括隐式创建的标识和一组用户分配的标识。 类型“None”将从服务中删除任何标识。 |
|
| userAssignedIdentities |
<string,
User |
与资源关联的用户标识列表。 用户标识字典密钥引用的格式为 ARM 资源 ID:“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/ providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}”。 |
ApiManagementServiceResource
“列出”或“获取响应”中的单个 API 管理服务资源。
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| etag |
string |
资源的 ETag。 |
|
| id |
string |
资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
|
| identity |
Api 管理服务的托管服务标识。 |
||
| location |
string |
资源所在的地理位置 |
|
| name |
string |
资源的名称 |
|
| properties.additionalLocations |
API 管理服务的其他数据中心位置。 |
||
| properties.apiVersionConstraint |
API 管理服务的控制平面 API 版本约束。 |
||
| properties.certificates |
需要在 API 管理服务中安装的证书列表。 可安装的最大支持证书为 10。 |
||
| properties.configurationApi |
API 管理服务的配置 API 配置。 |
||
| properties.createdAtUtc |
string (date-time) |
API 管理服务的创建 UTC 日期。日期符合以下格式: |
|
| properties.customProperties |
object |
API 管理服务的自定义属性。 |
|
| properties.developerPortalStatus | Enabled |
此 API 管理服务中开发人员门户的状态。 |
|
| properties.developerPortalUrl |
string |
API 管理服务的开发人员门户终结点 URL。 |
|
| properties.disableGateway |
boolean |
False |
属性仅适用于部署在多个位置的 Api 管理服务。 这可用于禁用主区域中的网关。 |
| properties.enableClientCertificate |
boolean |
False |
仅用于消耗 SKU 服务的属性。 这会强制在向网关的每个请求上显示客户端证书。 这样,便可以在网关上的策略中对证书进行身份验证。 |
| properties.gatewayRegionalUrl |
string |
默认区域中 API 管理服务的网关 URL。 |
|
| properties.gatewayUrl |
string |
API 管理服务的网关 URL。 |
|
| properties.hostnameConfigurations |
API 管理服务的自定义主机名配置。 |
||
| properties.legacyPortalStatus | Enabled |
API 管理服务中旧门户的状态。 |
|
| properties.managementApiUrl |
string |
API 管理服务的管理 API 终结点 URL。 |
|
| properties.natGatewayState | Disabled |
属性可用于为此 API 管理服务启用 NAT 网关。 |
|
| properties.notificationSenderEmail |
string maxLength: 100 |
将从中发送通知的电子邮件地址。 |
|
| properties.outboundPublicIPAddresses |
string[] |
与 NAT 网关部署的服务关联的出站公共 IPV4 地址前缀。 仅适用于 stv2 平台上的高级 SKU。 |
|
| properties.platformVersion |
在此位置运行服务的计算平台版本。 |
||
| properties.portalUrl |
string |
发布者门户终结点 API 管理服务的 URL。 |
|
| properties.privateEndpointConnections |
此服务的专用终结点连接列表。 |
||
| properties.privateIPAddresses |
string[] |
部署在内部虚拟网络中的主要区域中 API 管理服务的专用静态负载均衡 IP 地址。 仅适用于基本、标准、高级和独立 SKU。 |
|
| properties.provisioningState |
string |
API 管理服务的当前预配状态,可以是以下状态之一:已创建/激活/成功/更新/失败/停止/终止/终止失败/删除。 |
|
| properties.publicIPAddresses |
string[] |
主要区域中 API 管理服务的公共静态负载均衡 IP 地址。 仅适用于基本、标准、高级和独立 SKU。 |
|
| properties.publicIpAddressId |
string |
与区域中部署的虚拟网络服务相关联的基于公共标准 SKU IP V4 的 IP 地址。 仅支持在虚拟网络中部署的开发人员和高级 SKU。 |
|
| properties.publicNetworkAccess |
是否允许此 API 管理服务进行公共终结点访问。 值是可选的,但如果传入,则必须为“Enabled”或“Disabled”。 如果为“Disabled”,则专用终结点是独占访问方法。 默认值为“Enabled” |
||
| properties.publisherEmail |
string maxLength: 100 |
发布者电子邮件。 |
|
| properties.publisherName |
string maxLength: 100 |
发布者名称。 |
|
| properties.releaseChannel |
此 API 管理服务的发布通道。 |
||
| properties.restore |
boolean |
False |
取消删除 API 管理服务(如果之前已软删除)。 如果指定此标志并设置为 True,则将忽略所有其他属性。 |
| properties.scmUrl |
string |
API 管理服务的 SCM 终结点 URL。 |
|
| properties.targetProvisioningState |
string |
API 管理服务的预配状态,该状态由在服务上启动的长时间运行的作所针对。 |
|
| properties.virtualNetworkConfiguration |
API 管理服务的虚拟网络配置。 |
||
| properties.virtualNetworkType | None |
需要在其中配置 API 管理服务的 VPN 类型。 无(默认值)表示 API 管理服务不是任何虚拟网络的一部分,外部意味着 API 管理部署是在具有面向 Internet 的终结点的虚拟网络内设置的,内部意味着 API 管理部署仅在具有 Intranet 面向终结点的虚拟网络中进行设置。 |
|
| properties.zoneRedundant |
boolean |
False |
创建 StandardV2 和 PremiumV2 时的区域冗余要求。 如果该标志设置为 True,将返回带有区域冗余的 APIM 服务;或者如果底层组件无法实现区域冗余,则请求失败。 |
| sku |
API 管理服务的 SKU 属性。 |
||
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
||
| tags |
object |
资源标记。 |
|
| type |
string |
资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
|
| zones |
string[] |
可用性区域。 |
ApiManagementServiceSkuProperties
API 管理服务资源 SKU 属性。
| 名称 | 类型 | 说明 |
|---|---|---|
| capacity |
integer (int32) |
SKU 的容量(SKU 的已部署单位数)。 对于消耗 SKU 容量,必须指定为 0。 |
| name |
Sku 的名称。 |
ApimIdentityType
用于资源的标识类型。 类型“SystemAssigned,UserAssigned”包括隐式创建的标识和一组用户分配的标识。 类型“None”将从服务中删除任何标识。
| 值 | 说明 |
|---|---|
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned, UserAssigned | |
| None |
ApiVersionConstraint
API 管理服务的控制平面 API 版本约束。
| 名称 | 类型 | 说明 |
|---|---|---|
| minApiVersion |
string |
限制对 API 管理服务的控制平面 API 调用,其版本等于或高于此值。 |
ArmIdWrapper
ARM 资源 ID 的包装器
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
CertificateConfiguration
证书配置,由不受信任的中间证书和根证书组成。
| 名称 | 类型 | 说明 |
|---|---|---|
| certificate |
证书信息。 |
|
| certificatePassword |
string |
证书密码。 |
| encodedCertificate |
string |
Base64 编码证书。 |
| storeName |
System.Security.Cryptography.x509certificates.StoreName 证书存储位置。 只有 Root 和 CertificateAuthority 是有效位置。 |
CertificateConfigurationStoreName
System.Security.Cryptography.x509certificates.StoreName 证书存储位置。 只有 Root 和 CertificateAuthority 是有效位置。
| 值 | 说明 |
|---|---|
| CertificateAuthority | |
| Root |
CertificateInformation
SSL 证书信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| expiry |
string (date-time) |
证书的到期日期。 日期符合以下格式:按 ISO 8601 标准指定的 |
| subject |
string |
证书的使用者。 |
| thumbprint |
string |
证书的指纹。 |
CertificateSource
证书源。
| 值 | 说明 |
|---|---|
| Managed | |
| KeyVault | |
| Custom | |
| BuiltIn |
CertificateStatus
证书状态。
| 值 | 说明 |
|---|---|
| Completed | |
| Failed | |
| InProgress |
ConfigurationApi
有关 API 管理服务的配置 API 的信息。
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| legacyApi | Enabled |
指示是否应在 API 管理服务上公开旧版配置 API (v1)。 值是可选的,但必须是“已启用”或“已禁用”。 如果“已禁用”,则旧版配置 API (v1) 将不适用于自承载网关。 默认值为“Enabled” |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DeveloperPortalStatus
此 API 管理服务中开发人员门户的状态。
| 值 | 说明 |
|---|---|
| Enabled |
为服务启用了 Developer Portal。 |
| Disabled |
该服务已禁用开发人员门户。 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
附加信息。 |
| type |
string |
附加信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
HostnameConfiguration
自定义主机名配置。
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| certificate |
证书信息。 |
||
| certificatePassword |
string |
证书密码。 |
|
| certificateSource |
证书源。 |
||
| certificateStatus |
证书状态。 |
||
| defaultSslBinding |
boolean |
False |
指定 true 以设置与此主机名关联的证书作为默认 SSL 证书。 如果客户端未发送 SNI 标头,则这是将质询的证书。 如果某个服务启用了多个自定义主机名,并且需要确定默认 ssl 证书,则此属性非常有用。 该设置仅适用于网关主机名类型。 |
| encodedCertificate |
string |
Base64 编码证书。 |
|
| hostName |
string |
在 Api 管理服务上配置的主机名。 |
|
| identityClientId |
string |
由 Azure AD 生成的系统或用户分配的托管标识 clientId,该 clientId 具有对包含 SSL 证书的 keyVault 的 GET 访问权限。 |
|
| keyVaultId |
string |
包含 Ssl 证书的 KeyVault 机密的 URL。 如果提供了包含版本的绝对 URL,则 ssl 证书的自动更新将不起作用。 这需要配置 Api 管理服务 aka.ms/apimmsi。 机密的类型应 为 application/x-pkcs12 |
|
| negotiateClientCertificate |
boolean |
False |
指定 true 以始终协商主机名上的客户端证书。 默认值为 false。 |
| type |
主机名类型。 |
HostnameType
主机名类型。
| 值 | 说明 |
|---|---|
| Proxy | |
| Portal | |
| Management | |
| Scm | |
| DeveloperPortal | |
| ConfigurationApi |
LegacyApiState
指示是否应在 API 管理服务上公开旧版配置 API (v1)。 值是可选的,但必须是“已启用”或“已禁用”。 如果“已禁用”,则旧版配置 API (v1) 将不适用于自承载网关。 默认值为“Enabled”
| 值 | 说明 |
|---|---|
| Enabled |
为服务启用了旧版配置 API (v1),自承载网关可以连接到它。 |
| Disabled |
为服务禁用旧版配置 API (v1),自承载网关无法连接到该 API。 |
LegacyPortalStatus
API 管理服务中旧门户的状态。
| 值 | 说明 |
|---|---|
| Enabled |
已为服务启用旧版门户。 |
| Disabled |
该服务禁用了旧版门户。 |
NatGatewayState
属性可用于为此 API 管理服务启用 NAT 网关。
| 值 | 说明 |
|---|---|
| Enabled |
已为服务启用 Nat 网关。 |
| Disabled |
该服务已禁用 Nat 网关。 |
PlatformVersion
运行服务的计算平台版本。
| 值 | 说明 |
|---|---|
| undetermined |
由于未部署计算平台,因此无法确定平台版本。 |
| stv1 |
在单租户 V1 平台上运行服务的平台。 |
| stv2 |
在单租户 V2 平台上运行服务的平台。 |
| mtv1 |
在多租户 V1 平台上运行服务的平台。 |
| stv2.1 |
在较新硬件上的单租户 V2 平台上运行服务的平台。 |
PrivateEndpointServiceConnectionStatus
专用终结点连接状态。
| 值 | 说明 |
|---|---|
| Pending | |
| Approved | |
| Rejected |
PrivateLinkServiceConnectionState
有关服务使用者与提供程序之间的连接状态的信息集合。
| 名称 | 类型 | 说明 |
|---|---|---|
| actionsRequired |
string |
一条消息,指示服务提供商上的更改是否需要对使用者进行任何更新。 |
| description |
string |
批准/拒绝连接的原因。 |
| status |
指示连接是否已被服务的所有者批准/拒绝/删除。 |
PublicNetworkAccess
是否允许此 API 管理服务进行公共终结点访问。 值是可选的,但如果传入,则必须为“Enabled”或“Disabled”。 如果为“Disabled”,则专用终结点是独占访问方法。 默认值为“Enabled”
| 值 | 说明 |
|---|---|
| Enabled | |
| Disabled |
ReleaseChannel
此 API 管理服务的发布通道。
| 值 | 说明 |
|---|---|
| Preview |
服务的预览频道。 |
| Default |
服务的默认通道。 |
| Stable |
服务的稳定通道。 |
RemotePrivateEndpointConnectionWrapper
远程专用终结点连接资源。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
专用终结点连接资源 ID |
| name |
string |
专用终结点连接名称 |
| properties.groupIds |
string[] |
所有组 ID。 |
| properties.privateEndpoint |
专用终结点的资源。 |
|
| properties.privateLinkServiceConnectionState |
有关服务使用者与提供程序之间的连接状态的信息集合。 |
|
| properties.provisioningState |
string |
专用终结点连接资源的预配状态。 |
| type |
string |
专用终结点连接资源类型 |
SkuType
Sku 的名称。
| 值 | 说明 |
|---|---|
| Developer |
API 管理的开发人员 SKU。 |
| Standard |
API 管理的标准 SKU。 |
| Premium |
API 管理的高级 SKU。 |
| Basic |
API 管理的基本 SKU。 |
| Consumption |
API 管理的消耗 SKU。 |
| Isolated |
API 管理的独立 SKU。 |
| BasicV2 |
Api 管理的 BasicV2 SKU。 |
| StandardV2 |
StandardV2 SKU 的 API 管理。 |
| PremiumV2 |
PremiumV2 API 管理的 SKU。 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
资源上次修改的时间戳 (UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |
UserIdentityProperties
| 名称 | 类型 | 说明 |
|---|---|---|
| clientId |
string |
用户分配标识的客户端 ID。 |
| principalId |
string |
用户分配标识的主体 ID。 |
VirtualNetworkConfiguration
配置部署 API 管理服务的虚拟网络。
| 名称 | 类型 | 说明 |
|---|---|---|
| subnetResourceId |
string pattern: ^/subscriptions/[^/]*/resourceGroups/[^/]*/providers/Microsoft.(ClassicNetwork|Network)/virtualNetworks/[^/]*/subnets/[^/]*$ |
要在其中部署 API 管理服务的虚拟网络中子网的完整资源 ID。 |
| subnetname |
string |
子网的名称。 |
| vnetid |
string |
虚拟网络 ID。 这通常是一个 GUID。 默认情况下,预期 GUID 为 null。 |
VirtualNetworkType
需要在其中配置 API 管理网关的 VPN 类型。
| 值 | 说明 |
|---|---|
| None |
API 管理网关不属于任何虚拟网络。 |
| External |
API 管理网关是虚拟网络的一部分,可从 Internet 访问。 |
| Internal |
API 管理网关是虚拟网络的一部分,只能从虚拟网络中访问。 |